Trillet AI logo

Get call flow settings

Trillet OEM API: Needs resources:read.

GEThttps://api.trillet.ai/partner/v1/tenants/{tenantId}/call-flows/{callFlowId}/settings

Needs resources:read. A setting the call flow has never stored is returned as null.

Loading code example
Loading code example

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantIdstringrequired

The tenant ID.

Pattern: ^[a-fA-F0-9]{24}$
callFlowIdstringrequired

A call flow in the tenant. For a node flow, pathway._id from GET /v2/api/node-graphs/{id}.

Pattern: ^[a-fA-F0-9]{24}$

Response

application/json

The settings.

objectstringrequired
callFlowIdstringrequired
Pattern: ^[a-fA-F0-9]{24}$
tenantIdstringrequired
Pattern: ^[a-fA-F0-9]{24}$
greetingobject
greeting.inboundobject
greeting.outboundobject
greeting.delaySecondsnumber | null
Required range: x >= 0, x <= 5
speechobject
speech.responsivenessnumber | null
Required range: x >= 1, x <= 10
speech.interruptionSensitivitynumber | null
Required range: x >= 1, x <= 10
recordingobject
recording.enabledboolean | null
callHandlingobject
callHandling.maxCallDurationSecondsinteger | null
Required range: x >= 10, x <= 1800
callHandling.checkInAfterSeconds10 | 20 | 30 | null
Allowed values: 10 | 20 | 30 | null
callHandling.checkInAttempts0 | 1 | 2 | 3 | null
Allowed values: 0 | 1 | 2 | 3 | null
callHandling.hangUpAfterCheckInSeconds10 | 20 | 30 | null
Allowed values: 10 | 20 | 30 | null
updatedAtstring | null<date-time>

Last updated on